<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use App\Http\Requests\StoreInspecteurRequest;
use App\Http\Resources\InspecteurResource;
use App\Models\Inspecteur;
use Illuminate\Http\Request;

class InspecteurController extends Controller
{
    public function index()
    {
        $inspecteurs = Inspecteur::all();
        return InspecteurResource::collection($inspecteurs);
    }

    public function store(StoreInspecteurRequest $request)
    {
        $inspecteur = Inspecteur::create($request->validated());
        return new InspecteurResource($inspecteur);
    }

    public function show(Inspecteur $inspecteur)
    {
        return new InspecteurResource($inspecteur);
    }

    public function update(StoreInspecteurRequest $request, Inspecteur $inspecteur)
    {
        $inspecteur->update($request->validated());
        return new InspecteurResource($inspecteur);
    }

    public function destroy(Inspecteur $inspecteur)
    {
        $inspecteur->delete();
        return response()->json(['message' => 'Inspecteur supprimé'], 200);
    }
}
